Bug 11318 - Apache::Scorebaord does not compile on 6.1 or 6.2 x86 platform
Apache::Scorebaord does not compile on 6.1 or 6.2 x86 platform
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-08 22:54 EDT by Greg LaPolla
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-08 22:54:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg LaPolla 2000-05-08 22:54:59 EDT
Trying to install Apache::Scoreboard fails to compile.

[root@null Apache-Scoreboard-0.10]# make
mkdir blib
mkdir blib/lib
mkdir blib/lib/Apache
mkdir blib/arch
mkdir blib/arch/auto
mkdir blib/arch/auto/Apache
mkdir blib/arch/auto/Apache/Scoreboard
mkdir blib/lib/auto
mkdir blib/lib/auto/Apache
mkdir blib/lib/auto/Apache/Scoreboard
mkdir blib/man3
cp lib/Apache/ScoreboardGraph.pm blib/lib/Apache/ScoreboardGraph.pm
cp Scoreboard.pm blib/lib/Apache/Scoreboard.pm
make[1]: Entering directory `/usr/src/Apache-Scoreboard-0.10/Dummy'
mkdir ../blib/arch/auto/Apache/DummyScoreboard
mkdir ../blib/lib/auto/Apache/DummyScoreboard
cp DummyScoreboard.pm ../blib/lib/Apache/DummyScoreboard.pm
/usr/bin/perl -I/usr/lib/perl5/5.00503/i386-linux -
I/usr/lib/perl5/5.00503 /usr/lib/perl5/5.00503/ExtUtils/xsubpp  -
typemap /usr/lib/perl5/5.00503/ExtUtils/typemap -typemap typemap
DummyScoreboard.xs >xstmp.c && mv xstmp.c DummyScoreboard.c
Error: 'Apache' not in typemap in DummyScoreboard.xs, line 122
Please specify prototyping behavior for DummyScoreboard.xs (see perlxs
manual)
make[1]: *** [DummyScoreboard.c] Error 1
make[1]: Leaving directory `/usr/src/Apache-Scoreboard-0.10/Dummy'
make: *** [subdirs] Error 2
[root@null Apache-Scoreboard-0.10]#


Trying to build via mcpan yields this:

cpan> install Apache::Scoreboard
Running make for DOUGM/Apache-Scoreboard-0.10.tar.gz
  Unwrapped into directory /root/.cpan/build/Apache-Scoreboard-0.10
  Has already been processed within this session
Running make test
  Oops, make had returned bad status
Running make install
  Oops, make had returned bad status

cpan> quit
Lockfile removed.
[root@devnull greg]#

I have tried 6 different machines using redhat 6.1 and 6.2.  I have found
that removing the redhat RPMS for mod_perl and Apache and then installing
from latest sources (non rpm) will solve this problem.

Apache::ScoreBoard is needed to use scoop which is a slashdot type news
baord located @ http://scoop.kuro5hin.org/

I dont think this applies to the core redhat system, however, it is a
compatability issue that should be looked at.
Comment 1 Nalin Dahyabhai 2000-08-04 15:23:54 EDT
The installation works correctly with the versions in the build tree, so I'll
tag this as resolved in Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.